#!/usr/bin/perl -w

require 'from_section.pl';

push @SPECHOOKS, sub {
    my ($spec, $pkgname) = @_;
    my $mainsec=$spec->get_section('package','');
    $mainsec->subst(qr'^BuildRequires:\s+desktop-file-utils\s*$','');
    $mainsec->subst_if(qr'\s+desktop-file-utils',' ', qr'^BuildRequires:');
    $mainsec->subst(qr'^Requires\(post,postun\):\s+desktop-file-utils\s*$','');
    my %scriptsec=map {$_=>1} qw/pre post preun postun
        triggerin triggerun triggerpostin triggerpostun/;
    foreach my $section ($spec->get_sections()) {
	my $secname=$section->get_type();
	next unless $scriptsec{$secname};
	$section->exclude(qr'update-desktop-database');
    }
    &from_section($spec, $pkgname,'post','%update_desktopdb');
    &from_section($spec, $pkgname,'postun','%clean_desktopdb');
    &from_section($spec, $pkgname,'preun','%clean_desktopdb',1);
};

1;
