#!/usr/bin/perl -w

require 'from_section.pl';

push @SPECHOOKS, sub {
    my ($spec, $pkgname) = @_;
    my $mainsec=$spec->get_section('package','');
    $mainsec->subst(qr'^BuildRequires:\s+shared-mime-info\s*(?:[<>=]+\s*\S+\s*)?$','');
    $mainsec->subst_if(qr'\s+shared-mime-info\s*(?:[<>=]+\s*\S+)?',' ', qr'^BuildRequires:');
    $mainsec->subst(qr'^Requires\(post,postun\):\s+shared-mime-info\s*$','');
    my %scriptsec=map {$_=>1} qw/pre post preun postun
        triggerin triggerun triggerpostin triggerpostun/;
    foreach my $section ($spec->get_sections()) {
	my $secname=$section->get_type();
	next unless $scriptsec{$secname};
	$section->exclude(qr'update-mime-database');
    }

    &from_section($spec, $pkgname,'post','%update_mimedb');
    &from_section($spec, $pkgname,'postun','%clean_mimedb');
};

1;
